Requirements

The system requirements for Drupal 6, 7 and 8 are fairly generic however with each new version more platforms are supported and higher levels of security become the baseline.

Below is a basic overview of the system requirements and our recommendations. Further details are available from drupal.org.

Disk space

Disk space is the storage capacity of the account to store the code, uploaded files and database.

Suggested disk space requirements are for the code base and a few images. We have some clients that have literately 10,000s of images using gigabytes of disk space.

Web servers

A web server is a program that can handle web-based requests.

Drupal will run on any server with PHP support and a compatible database. Some security features are only available by default on Apache / Nginx (all versions), and IIS (Drupal 7+).

Databases

A database stores the content that you add to the site.

PHP

PHP is the programming language that Drupal uses.

Drupal 6

Disk space
The minimum installation requires 15 Megabytes. For a website with many contributed modules and themes installed 60MB is required.
Web servers
Apache (recommended and most supported), Nginx, or Microsoft IIS.
Databases
MySQL 4.1.1 or higher (recommended and most supported), PostgreSQL 7.1
PHP
PHP 5.x only (5.2.5 or higher recommended). It will run on PHP 5.3 but there are a small number of unresolved issues known in various modules.

Drupal 7

Disk space
The minimum installation requires 15 Megabytes. For a website with many contributed modules and themes installed 100MB is required.
Web servers
Apache (recommended and most supported), Nginx, or Microsoft IIS.
Databases
MySQL 5.0.15 (recommended and most supported)/MariaDB 5.1.44/Percona Server 5.1.70 or higher with PDO, PostgreSQL 8.3 or higher with PDO, SQLite 3.3.7 or higher.
PHP
PHP 5.3 or higher (5.4 or higher recommended)

Drupal 8

Disk space
The minimum installation requires 15 Megabytes. For a website with many contributed modules and themes installed 100MB is required.
Web servers
Apache (recommended and most supported), Nginx, or Microsoft IIS.
Databases
MySQL 5.5.3 (recommended and most supported)/MariaDB 5.5.20/Percona Server 5.5.8 or higher with PDO and an InnoDB-compatible primary storage engine, ;PostgreSQL 9.1.2 or higher with PDO, SQLite 3.6.8 or higher.
PHP
PHP 5.5.9 or higher.

Our Plans

Our Hosting Plan include the upgrading of Apache and we will suggest and undertake PHP upgrades as they become necessary.